%define intversion 0.6DrMattDestruction

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de> 

Summary:	XMMS2 is an audio player for the X Window System.
Name:		xmms2
Version:	0.6
Release:	2
License:	GNU/GPL
Url:		http://wiki.xmms2.xmms.se/
Group:		Multimedia/Audio
Source0:	%{name}-%{intversion}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildArch:	i686

# set python calls to 2.6 versioned ones
Patch0: xmms2-python26.patch
# Don't add extra CFLAGS, we're smart enough, thanks.
Patch1: xmms2-0.5DrLecter-no-O0.patch

#Manual build dependencies
BuildRequires: scons
Buildrequires: python26-pyrex
BuildRequires: mpg123-devel
BuildRequires: libdiscid-devel

#Automatically resolved build dependencies
BuildRequires: avahi-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libogg-devel
BuildRequires: libvisual-devel
BuildRequires: libvorbis-devel
BuildRequires: ncurses-devel
BuildRequires: perl
BuildRequires: perl-Glib
BuildRequires: pkg-config
BuildRequires: python26-devel
BuildRequires: readline-devel
BuildRequires: SDL-devel
BuildRequires: sqlite-devel

%description
XMMS2 is a redesign of the XMMS music player. It features a client-server model,
allowing multiple (even simultaneous!) user interfaces, both textual and graphical.
All common audio formats are supported using plugins.
On top of this, there is a flexible media library to organize your music.

%package	devel
Summary:	xmms2 development headers.
Group:		Development/Other
Requires:	xmms2 = %{version}-%{release}

%description	devel
Header and include files for developing applications with xmms2.

%package	python
Summary:	Python support for XMMS2
Group:		Multimedia/Audio
Requires:	%{name} = %{version}-%{release}
Requires:	python

%description	python
Python bindings for XMMS2.

%package	perl
Summary:	Perl support for XMMS2
License:	GPL+ or Artistic
Group:		Multimedia/Audio
Requires:	%{name} = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description	perl
Perl bindings for XMMS2.

%package	ruby
Summary:	Ruby support for XMMS2
Group:		Multimedia/Audio
Requires:	%{name} = %{version}-%{release}
Requires:	ruby(abi) = 1.8

%description	ruby
Ruby bindings for XMMS2.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{intversion}
%patch0 -p1 -b .python26
%patch1 -p1 -b .noextracflags

%build
./waf configure --prefix=%{_prefix} --with-pkgconfigdir=%{_libdir}/pkgconfig
./waf build

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=$RPM_BUILD_ROOT --prefix=%{_prefix} --with-pkgconfigdir=%{_libdir}/pkgconfig
#cat > $RPM_BUILD_ROOT/opt/kde/share/applnk/Multimedia/xmms2.desktop <<EOF 
# 
#[Desktop Entry]
#Name=xmms2
#Name[de]=xmms2
#Comment=XMultiMediaSystem2
#GenericName=Music Player
#GenericName[de]=Music Player
#Type=Application
#Exec=xmms
#Terminal=false
#StartupNotify=true
#Icon=xmms
# 
#EOF 
 
#chmod 644 $RPM_BUILD_ROOT/opt/kde/share/applnk/Multimedia/xmms2.desktop 

%files
%defattr(-,root,root)
%{_bindir}/
%{_libdir}/xmms2/
%{_libdir}/libxmms*.so*
%{_mandir}
%{_datadir}/pixmaps/
%{_datadir}/xmms2/

%files devel
%defattr(-,root,root)
%{_pkgconfig}/
%{_includedir}/

%files perl
%defattr(-,root,root)
%{_libdir}/perl5/

%files python
%defattr(-,root,root)
%{_libdir}/python2.6/

%files ruby
%defattr(-,root,root)
%{_libdir}/ruby/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Dec 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.6DrMattDestruction-1
- version update
- python 2.6
* Wed Dec 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5DrLecter-2
- changed subpackage groups to Multimedia/Audio
* Tue Dec 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5DrLecter-1
- Version Update
* Sat Jul 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2DrEvil-1
- Version Update
* Tue Feb 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2DrCox-1
- Version Update
* Mon Dec 19 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.2DrAlban-1
- Version Update
* Fri Jun 17 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.10-1
- Initial Release
